Get Form 8949
GET
/api/v1/wallets/{address}/tax-reports/8949
const url = 'https://api.qeychain.xyz/api/v1/wallets/example/tax-reports/8949?tax_year=1&taxpayer_timezone=America%2FNew_York';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://api.qeychain.xyz/api/v1/wallets/example/tax-reports/8949?tax_year=1&taxpayer_timezone=America%2FNew_York'Get IRS Form 8949 data as JSON.
Returns line-item data for both short-term (Part I) and long-term (Part II) capital gains/losses.
Parameters:
tax_year(required): Tax year to generate report fortaxpayer_timezone(optional): Timezone for date classification (default: America/New_York)
Response includes:
- Short-term items (Part I)
- Long-term items (Part II)
- Summary totals for proceeds, cost basis, adjustments, and gains/losses
Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”address
required
Address
string
Query Parameters
Section titled “Query Parameters”tax_year
required
Tax Year
Tax year (required, e.g., 2024)
integer
Tax year (required, e.g., 2024)
taxpayer_timezone
Taxpayer Timezone
Taxpayer timezone for date classification
string
Taxpayer timezone for date classification
owned_wallets
Any of:
Array<string>
null
Responses
Section titled “Responses”Successful Response
Media typeapplication/json
Response Get Form 8949 Api V1 Wallets Address Tax Reports 8949 Get
object
key
additional properties
any
Examplegenerated
{}Validation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example" } ]}